Subject: Re: [PATCH v5] send-email: export patch counters in validate environment

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Apr 2023 12:25:31 -0700

"Robin Jarry" <[email-masked]> writes:

> I had an idea after sending v5. Instead of leaving TODO placeholders, it
> would be nicer to introduce other git config sendemail.validate* options
> specific to this hook template so that users can directly use it without
> any modifications simply by setting options in their local clone:
>
>     git config sendemail.validatePatchCmd 'tools/checkpatch.sh'
>     git config sendemail.validateSeriesCmd 'make tests lint'
>
> And reuse these commands if defined in the hook template.

I do not think it is worth it, as they have to write the scripts or
copy them from elsewhere, *and* need to make the configuration
variables, *and* make the sample hook into a real one with such an
approach.

After all, it is merely a sample.  There is a value in keeping it
simple so that users can learn what the structure should look like.
Then users will come up with something much better suited for their
own use case themselves.

Thanks.